#! /usr/bin/env python
import sys
import unittest
import test_patom
import test_pfunctor
import test_pterm
import test_pquery
import test_Term

def make_suite():
    suite = unittest.TestSuite()
    suite.addTest(test_patom.make_suite())
    suite.addTest(test_pfunctor.make_suite())
    suite.addTest(test_pterm.make_suite())
    suite.addTest(test_pquery.make_suite())
    suite.addTest(test_Term.make_suite())
    return suite

def main():
    runner = unittest.TextTestRunner()
    suite = make_suite()
    runner.run(suite)

if __name__ == '__main__':
    print 'PYTHONPATH=%s' % sys.path
    main()

# Local Variables:          
# mode:python               
# indent-tabs-mode: nil     
# py-indent-offset: 4   
# py-smart-indentation: nil 
# End:                      
